import request from '@/utils/request'

// 查询项目建设节点数据列表
export function listBuild_node_data(query) {
  return request({
    url: '/project/build_node_data/list',
    method: 'get',
    params: query
  })
}

// 查询项目建设节点数据详细
export function getBuild_node_data(id) {
  return request({
    url: '/project/build_node_data/' + id,
    method: 'get'
  })
}

// 新增项目建设节点数据
export function addBuild_node_data(data) {
  return request({
    url: '/project/build_node_data',
    method: 'post',
    data: data
  })
}

// 修改项目建设节点数据
export function updateBuild_node_data(data) {
  return request({
    url: '/project/build_node_data',
    method: 'put',
    data: data
  })
}

// 删除项目建设节点数据
export function delBuild_node_data(id) {
  return request({
    url: '/project/build_node_data/' + id,
    method: 'delete'
  })
}


// 删除项目建设节点数据
export function listByProject(projectId) {
  return request({
    url: '/project/build_node_data/listByProject?projectId=' + projectId,
    method: 'get'
  })
}
